--COMMON
UPDATE esia_plugins SET plugin_manufacturer='Microsoft' WHERE plugin_name LIKE '%PWSH%';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_MEM';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_TIME';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_UPTIME';

UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_STORAGE.php' WHERE plugin_name = 'CHECK_PWSH_WINDOWS_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_STORAGE.php',plugin_tag = 'DISK,IO' WHERE plugin_name = 'CHECK_PWSH_WINDOWS_IO';
UPDATE esia_plugins SET plugin_tag = 'DISK,SMARTCTL' WHERE plugin_name = 'CHECK_PWSH_WINDOWS_SMARTCTL';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php',plugin_tag = 'PDU,POWER',plugin_priority=2 WHERE plugin_name = 'CHECK_SNMP_RARITAN';
UPDATE esia_plugins SET plugin_tag = 'PDU,OUTLET' WHERE plugin_name = 'CHECK_SNMP_RARITAN_STATUS';



UPDATE rrd_plugins SET rrd_regex='#mem=([0-9]*)#' WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_MEM') AND rrd_name='ram';
UPDATE rrd_plugins SET rrd_regex_threshold = '#\-w\s+([0-9]*).*\-c\s+([0-9]*)#' WHERE rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_RAM') AND rrd_name='RAM';
UPDATE rrd_plugins SET rrd_graph_color = '#83bc00' WHERE rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE') AND rrd_name='hdd';

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;


UPDATE esia_plugins SET plugin_default_parameter='-H $IP -U $SNMP3_USER -A $SNMP3_AUTH_KEY -P $SNMP3_PRIV_KEY -L $SNMP3_AUTH_PROT,$SNMP3_PRIV_PROT -w 80 -c 90 -m "<disk>" -t 50'
WHERE plugin_name ='CHECK_SNMP_XCLARITY_STORAGE';

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_STORAGE'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_STORAGE'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_STORAGE'),'GAUGE','#used=([0-9]*)#',300,DEFAULT,'hdd',0,100,'percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_MEM'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_MEM'),'GAUGE','#used=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;

UPDATE esia_plugins SET plugin_default_parameter='-H $IP -C $SNMP_COM -T env -w 70 -c 80', plugin_path='/usr/local/esia/plugins/check_snmp_raritan.pl' WHERE plugin_name='CHECK_SNMP_RARITAN';
UPDATE esia_plugins SET plugin_default_parameter='-H $IP -C $SNMP_COM -T outlet', plugin_path='/usr/local/esia/plugins/check_snmp_raritan.pl' WHERE plugin_name='CHECK_SNMP_RARITAN_STATUS';

UPDATE esia_service_pattern_included SET included_parameter='-H $IP -C $SNMP_COM -T outlet'
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_RARITAN_STATUS');

UPDATE esia_service_pattern_included SET included_parameter='-H $IP -C $SNMP_COM -T env -w 70 -c 80'
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_RARITAN');

UPDATE esia_services SET service_parameter=service_parameter||' -T outlet' WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_RARITAN_STATUS');
UPDATE esia_services SET service_parameter=service_parameter||' -T env' WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_RARITAN');
