--NAME:default_api_extreme_networks_ap
--INFRA:CHECK
--PLUGINS:CHECK_API_EXTREME_NETWORKS_AP_STATUS,CHECK_API_EXTREME_NETWORKS_AP_LOAD,CHECK_API_EXTREME_NETWORKS_AP_MEM,CHECK_API_EXTREME_NETWORKS_AP_CLIENT

INSERT INTO esia_service_patterns(pattern_id, pattern_name, pattern_description) VALUES (DEFAULT, 'default_api_extreme_networks_ap', 'Pattern de supervision des access point Extreme Network via l''API ExtremeCloud IQ');

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval, included_priority) VALUES (DEFAULT, 'CHECK_API_EXTREME_NETWORKS_AP_STATUS', (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_extreme_networks_ap'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_EXTREME_NETWORKS_AP_STATUS'), '-H $NODENAME -T status', 300000, 2);

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval, included_priority) VALUES (DEFAULT, 'CHECK_API_EXTREME_NETWORKS_AP_LOAD', (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_extreme_networks_ap'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_EXTREME_NETWORKS_AP_LOAD'), '-H $NODENAME -T cpu -w 80 -c 90', 300000, 4);

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval, included_priority) VALUES (DEFAULT, 'CHECK_API_EXTREME_NETWORKS_AP_MEM', (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_extreme_networks_ap'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_EXTREME_NETWORKS_AP_MEM'), '-H $NODENAME -T mem -w 80 -c 90', 300000, 4);

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval, included_priority) VALUES (DEFAULT, 'CHECK_API_EXTREME_NETWORKS_AP_CLIENT', (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_extreme_networks_ap'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_EXTREME_NETWORKS_AP_CLIENT'), '-H $NODENAME -T clients -w 45 -c 50', 300000, 5);
