--NAME:CHECK_PWSH_WINDOWS_STORAGE
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_STORAGE','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T storage -m "^C:" -w 80 -c 90',300000,'Récupère l''espace disque disponible/ utilisé pour un système windows','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_STORAGE.php','Microsoft','STORAGE,USED,SPACE');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),'GAUGE','#\:\s+([0-9]*)\%used#',300,DEFAULT,'hdd',0,100,'percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL);
