INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_SWAP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_SWAP'),300000,NULL,NULL,NULL,NULL,NULL,3) ON CONFLICT DO NOTHING;

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',
        (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_FUJITSU_RAID',
        (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_RAID'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_RAID'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_FUJITSU_CNTRL',
        (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_CNTRL'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_CNTRL'),300000,NULL,NULL,NULL,NULL,NULL,3);

UPDATE esia_service_pattern_included
SET included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_DISKHEALTH')
WHERE included_pattern_id = (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu') 
AND included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_DISKHEALTH')
AND included_parameter = '-H $IP -C $SNMP_COM';

UPDATE esia_service_pattern_included
SET included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_SYSTEMHEALTH')
WHERE included_pattern_id = (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu') 
AND included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_SYSTEMHEALTH')
AND included_parameter = '-H $IP -C $SNMP_COM -w 2500 -c 3000';

UPDATE esia_service_pattern_included
SET included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_TEMP')
WHERE included_pattern_id = (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu') 
AND included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_TEMP')
AND included_parameter = '-H $IP -C $SNMP_COM -w 45 -c 50';
